
void show(unsigned int a)
{
    int i;
    char *s = (char*)&a;
    char m[5];
    for(i = 0; i < 4; i++) 
        m[i] = s[i];
    m[i] = 0;
    printf("%s", m);
}

main()
{
    unsigned int p, q, r;

    __asm__("cpuid"
            :"=b"(p), "=d"(q), "=c"(r)
            :"a"(0)
           );
    show(p); show(q); show(r);
}
  
